#pragma once
using namespace System;
using namespace System::Runtime::InteropServices;

#include "LKFAufenthaltChild.h"

namespace lkfxdok {
	namespace c {
		enum class LKFAufenthaltScorField;

		public ref class LKFAufenthaltSubgruppe : public LKFAufenthaltChild
		{
			String ^_gruppe;
			String ^_knoten;

		internal:
			LKFAufenthaltSubgruppe(LKFAufenthalt ^aufenthalt, unsigned int subgruppeIndex);

		public:
			property String ^GRUPPE {
				String ^get(void);
			}

			property String ^KNOTEN {
				String ^get(void);
			}

			property String ^MEL {
				String ^get(void);
			}

			property long Punkte {
				long get(void);
			}

			property String ^DIAGIDENT {
				String ^get(void);
			}

			long GetValue(LKFAufenthaltScorField field);
		};
	}
}

